%global momorel 8
%global honokaver 0.9.1
%global honokarel 13m

Summary: wnn input plugin for honoka
Name: honoka-plugin-wnn
Version: 0.9.0
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/System
URL: http://sourceforge.jp/projects/scim-imengine/
Source0: http://nop.net-p.org/files/honoka/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: %{name}-%{version}-gcc43.patch
Requires: libwnn7
Requires: honoka-plugin-ascii >= 0.9.1-3m
Requires: honoka-plugin-kanainput >= 0.9.1-3m
Requires: honoka-plugin-romkan >= 0.9.0-3m
Requires: honoka-plugin-simpleprediction >= 0.9.0-3m
BuildRequires: honoka-devel >= %{honokaver}-%{honokarel}
BuildRequires: libwnn7-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: automake19
BuildRequires: libtool-ltdl-devel

%description
Wnn input plugin for honoka.

%prep
%setup -q

cp -f /usr/share/automake-1.9/mkinstalldirs .

%patch0 -p1 -b .gcc43~

%build
[[ -f configure ]] || ./bootstrap

%configure
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove devel files
rm -f %{buildroot}/%{_libdir}/scim-1.0/1.4.0/honoka/*.{a,la}

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_libdir}/scim-1.0/1.4.0/honoka/*.so

%changelog
* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.0-8m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.0-7m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-6m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-5m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.0-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.0-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-2m)
- rebuild against gcc43

* Sat Mar 01 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.0-1m)
- initial import
- add patch for gcc43, generated by gen43patch(v1)

